file(GLOB FILELIST 
led.c
file.c
config.c
bitmap.c
firmware.c
)

add_library(src STATIC ${FILELIST})
target_include_directories(src PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_include_directories(src PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../../driver/sdcard)
target_include_directories(src PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../../driver/stddriver/inc)
target_include_directories(src PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../../driver/cmsis/inc)
target_include_directories(src PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/../../component/fatfs/inc)

target_link_libraries(src driver)
target_link_libraries(src fatfs)
